Bug 89739 - Improve documentation for using command line (CLI) interface
Summary: Improve documentation for using command line (CLI) interface
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Commandline 68786
  Show dependency treegraph
 
Reported: 2015-02-28 12:21 UTC by Mikeyy - L10n HR
Modified: 2020-05-20 12:38 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikeyy - L10n HR 2015-02-28 12:21:19 UTC
Rescently I needed to automate export of ods files to csv.
I started searching for macro help since I thought that was only way to batch convert ods to csv.
By accident I found out libreoffice supports CLI!!!

But problem is, there is almost no documentation on it. I had to lure openoffice.org forums, ask.libreoffice.org and other websites to find clues on how to make command that would convert ods file into csv (with semicolon separator instead of default comma).

This is very powerful automation tool for which almost noone knows it exists.

New option which will not be documented:
https://bugs.documentfoundation.org/show_bug.cgi?id=36313

People filling bug for things that can already be done, but there is no documentation:
https://bugs.documentfoundation.org/show_bug.cgi?id=68786

I for one, want to export certain sheet to CSV (not first default one in spreadsheet file), but don't even know if that's possible of not.

And lots and lots of others...

Experienced developer with access to code should write all available option in CLI, and then linguist should make wiki help out of that for everyone to understand and use.

This is part of CLI on openoffice.org, but very small and insuficient.
https://wiki.openoffice.org/wiki/Documentation/DevGuide/Spreadsheets/Filter_Options
Comment 1 Julien Nabet 2015-02-28 17:01:08 UTC
Looking at https://wiki.documentfoundation.org/FindTheExpert, I also add David who might be interested in this bugtracker.
Comment 2 V Stuart Foote 2015-02-28 19:15:15 UTC
Yup, the CLI is not very completely documented. Presently have to poke around in the filters for the correct names. Specific syntax as with delimiters has been very hard to track down.  Setting NEW.

=-additional refs-=

http://cgit.freedesktop.org/libreoffice/core/tree/filter/source/config/fragments/filters

https://help.libreoffice.org/Common/Starting_the_Software_With_Parameters

http://ask.libreoffice.org/en/question/2641/convert-to-command-line-parameter/
http://ask.libreoffice.org/en/question/2082/libreoffice-command-line-infilter-options/
Comment 3 tommy27 2016-04-16 07:28:08 UTC Comment hidden (obsolete)
Comment 4 Olivier Hallot 2018-04-19 13:55:38 UTC
I'm closing the bug as fixed. wikihelp has been phased out in release 6.0. 

The page with CLI commands is this one now:

https://help.libreoffice.org/6.1/en-US/text/shared/guide/start_parameters.html

You can reach it typing "command line" in the index search on the left.

If you disagree with the current help page contents please reopen and indicate what is wrong. 
Cheers.